Name:		cdemu-client
Version:	3.2.4
Summary:	Command-line client for controlling CDEmu daemon
Release:	%mkrel 2
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
Source:		http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Patch0:		cdemu-client-3.2.0-fix-install.patch
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	intltool
BuildRequires:	glib-gettextize
BuildRequires:	cmake
BuildRequires:	pkgconfig(bash-completion)
Requires:	python3dist(dbus-python)
Requires:	cdemu-daemon >= %{version}

%description
This is cdemu-client, a simple command-line client for controlling
CDEmu daemon. It is part of the userspace-cdemu suite, a free, GPL
CD/DVD-ROM device emulator for linux.

It provides a way to perform the key tasks related to controlling
the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang cdemu

%files -f cdemu.lang
%doc README AUTHORS ChangeLog
%license COPYING
%{_datadir}/bash-completion/completions/cdemu
%{_bindir}/cdemu
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/cdemu-client.svg
%{_mandir}/man1/cdemu.1*


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 3.2.4-2.mga8
+ Revision: 1546248
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 daviddavid <daviddavid> 3.2.4-1.mga8
+ Revision: 1486183
- new version: 3.2.4
- use new cmake macros

* Fri Oct 11 2019 daviddavid <daviddavid> 3.2.3-1.mga8
+ Revision: 1451601
- new version: 3.2.3

* Fri Aug 30 2019 daviddavid <daviddavid> 3.2.2-1.mga8
+ Revision: 1435489
- new version: 3.2.2
- switch to python 3

* Wed Mar 06 2019 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1371790
- new version: 3.2.1

* Thu Sep 20 2018 umeabot <umeabot> 3.2.0-2.mga7
+ Revision: 1277795
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1252197
- new version: 3.2.0
- rename and rediff fix-install patch

* Sat Dec 02 2017 josh <josh> 3.1.0-1.mga7
+ Revision: 1180745
- Update to version 3.1.0
- Consolidate location for bash-completion scripts

* Sat Nov 12 2016 daviddavid <daviddavid> 3.0.4-1.mga6
+ Revision: 1066722
- new version: 3.0.4

* Sun Oct 09 2016 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1059787
- new version: 3.0.1
- make it noarch thus really fixing empty debuginfo
- update files list

* Thu Feb 11 2016 umeabot <umeabot> 2.1.1-5.mga6
+ Revision: 953563
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 2.1.1-4.mga6
+ Revision: 874989
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 739261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-2.mga5
+ Revision: 678331
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 anssi <anssi> 2.1.1-1.mga5
+ Revision: 596048
- new version 2.1.1

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 503303
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 347497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335794
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220432
- new version 1.5.0
- update file lists for .desktop file and bash-completion

* Sat Dec 03 2011 anssi <anssi> 1.4.0-1.mga2
+ Revision: 175739
- new version
- update filelist

* Mon Jan 17 2011 pterjan <pterjan> 1.3.0-4.mga1
+ Revision: 21328
- Rebuild for python 2.7

* Sat Jan 15 2011 anssi <anssi> 1.3.0-3.mga1
+ Revision: 19664
- imported package cdemu-client


* Mon Nov 01 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-3mdv2011.0
+ Revision: 591576
- rebuild for new python

* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 575881
- add requirement on python version as the package has files
  in the python version specific directory

* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 575786
- new version
- add comment in spec regarding included python files

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472923
- New version 1.2.0

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2010.0
+ Revision: 436960
- rebuild

* Mon Jan 26 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 333928
- Release 1.1.?\1950

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1.svn299.3mdv2009.1
+ Revision: 324172
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-1.svn299.2mdv2009.0
+ Revision: 266475
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn299.1mdv2009.0
+ Revision: 197017
- initial Mandriva release

